/* log.h
 *
 * Copyright (C) 2002 Matthieu Nottale <matthieu@nottale.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: log.h,v 1.3 2003/10/02 19:29:56 cos Exp $
 *
 */

enum EventGravity
  {
    EVENT_DEBUG,
    EVENT_ANNOY,
    EVENT_INFO,
    EVENT_NOTICE,
    EVENT_WARNING,
    EVENT_ERROR,
    EVENT_FATAL,
    EVENT_SAPCETIME_CONTINIUM_BREACH
  };

#define LOGM_STDOUT        1
#define LOGM_FILE          2
#define LOGM_SYSLOG        4
#define LOGM_NOGRAVITYCODE 8

void LogEvent(EventGravity code,char * format,...);
void LogSetup(unsigned long LogFlags,char * progname, char * filename);
